<script setup lang="ts">
import { ref } from 'vue'
import { useI18n } from 'vue-i18n'
import { useRouter, useRoute } from 'vue-router'
import { useAppStore } from '../../stores/AppStore'
import { useMemberStore } from '../../stores/MemberStore'

// using
const { t } = useI18n({
	messages: {
		en: {
			title: `Change Mail Confirmation`,
		},
		th: {
			title: `ยืนยันการเปลี่ยนอีเมล์`,
		},
	},
})
const router = useRouter()
const route = useRoute()
const appStore = useAppStore()
const memberStore = useMemberStore()

// state
const done = ref(false)

async function setup(): Promise<void> {
	// calls REST
	const result = await memberStore.client.call(`member/profile/mail?code=${route.query.code}`, {
		method: 'GET',
	})
	if (appStore.handleRestResultUi(result, (result: boolean) => router.push('/')))
		return

	// success, retrieves REST data
	done.value = result.json
}
setup()
</script>


<template>
	<AppBox :title="t('title')">
		<div v-if="done" style="white-space:pre-wrap">
			{{ JSON.stringify(done, null, 2) }}
		</div>
	</AppBox>
</template>
